Bug 734611 - FIXED_IN_GIT: Specifiers can crash dbus o_O
Summary: FIXED_IN_GIT: Specifiers can crash dbus o_O
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 21:59 UTC by Jóhann B. Guðmundsson
Modified: 2011-09-09 17:08 UTC (History)
8 users (show)

Fixed In Version: systemd-35-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 17:08:15 UTC


Attachments (Terms of Use)

Description Jóhann B. Guðmundsson 2011-08-30 21:59:50 UTC
Description of problem:

Create a test unit let's call it dbus-crash.service

[Unit]
Description=Let crash Dbus
# does not actually matter what type of spesifiers or where you placid in the unit 
After=%i

[Service]
Type=oneshot
ExecStart=/bin/true


Version-Release number of selected component (if applicable):

Affects both F15/16 and Rawhide

How reproducible:

Always

Steps to Reproduce:
1. Use the sample above or something similar 
2.
3.
  
Actual results:

dbus crash bújaa and users cant do jack other than press the poweroff button...  

Expected results:

Half dressed women giving me beer =)

Additional info:

Comment 1 Lennart Poettering 2011-08-30 22:17:06 UTC
Fixed in git already.

Comment 2 Fedora Update System 2011-09-01 00:35:05 UTC
systemd-35-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/systemd-35-1.fc16

Comment 3 Fedora Update System 2011-09-01 19:03:11 UTC
Package systemd-35-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-35-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/systemd-35-1.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-09 17:07:30 UTC
systemd-35-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.